libpqxx: pqxx::basic_transaction Class Reference

libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | List of all members
pqxx::basic_transaction Class Reference
Transaction classes

`#include <transaction.hxx>`

Inheritance diagram for pqxx::basic_transaction:

## Protected Member Functions
| basic_transaction (connection_base &C, const std::string &IsolationLevel, readwrite_policy)
Protected Member Functions inherited from pqxx::dbtransaction
| dbtransaction (connection_base &, const std::string &IsolationString, readwrite_policy rw=read_write)
| dbtransaction (connection_base &, bool direct=true, readwrite_policy rw=read_write)
void | start_backend_transaction ()
| Start a transaction on the backend and set desired isolation level.
virtual void | do_begin ()
| Sensible default implemented here: begin backend transaction.
virtual result | do_exec (const char Query[])
| Sensible default implemented here: perform query.
virtual void | do_commit ()=0
| To be implemented by derived class: commit backend transaction.
virtual void | do_abort ()
| Sensible default implemented here: abort backend transaction.
Protected Member Functions inherited from pqxx::transaction_base
| transaction_base (connection_base &c, bool direct=true)
| Create a transaction (to be called by implementation classes only)
void | Begin ()
| Begin transaction (to be called by implementing class)
void | End () throw ()
| End transaction. To be called by implementing class' destructor.
result | DirectExec (const char C[], int Retries=0)
| Execute query on connection directly.
void | reactivation_avoidance_clear () throw ()
| Forget about any reactivation-blocking resources we tried to allocate.

## Additional Inherited Members
Public Types inherited from pqxx::transaction_base
typedef isolation_traits < read_committed > | isolation_tag
| If nothing else is known, our isolation level is at least read_committed.
Public Member Functions inherited from pqxx::dbtransaction
virtual | ~dbtransaction ()
Static Protected Member Functions inherited from pqxx::dbtransaction
static std::string | fullname (const std::string &ttype, const std::string &isolation)
Protected Attributes inherited from pqxx::transaction_base
internal::reactivation_avoidance_counter | m_reactivation_avoidance
| Resources allocated in this transaction that make reactivation impossible.

## Constructor & Destructor Documentation

pqxx::basic_transaction::basic_transaction | ( | connection_base & | C,
|  | const std::string & | IsolationLevel,
|  | readwrite_policy | rw
| ) |  |
| protected

The documentation for this class was generated from the following files:

- transaction.hxx
- transaction.cxx